当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 安装fcitx出错,帮忙看看这些提示怎么解决?
帖子发表于 : 2008-12-17 9:24 

注册: 2008-05-27 12:18
帖子: 30
送出感谢: 0 次
接收感谢: 0 次
安装fcitx的错误提示:
sudo apt-get install fcitx
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
fcitx 已经是最新的版本了。
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
scim: 依赖: scim-gtk2-immodule (= 1.4.7-3ubuntu8) 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。


sudo apt-get -f install 的错误提示:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 5 个软件包没有被完全安装或卸载。
E: 无法获得锁 /var/cache/apt/archives/lock - open (11 资源临时不可用)
E: 无法对下载目录加锁


用新立得安装scim-gtk2-immodule的错误提示:
E: /var/cache/apt/archives/fcitx_1%3a3.4.3-1_i386.deb: 子进程 新的 pre-removal 脚本 返回了错误号 2
卸载scim的错误提示:




sudo apt-get autoremove scim
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
下列软件包将被【卸载】:
scim scim-bridge-agent scim-gtk2-immodule scim-pinyin
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 4 个软件包,有 0 个软件未被升级。
有 5 个软件包没有被完全安装或卸载。
需要下载 0B/3288kB 的软件包。
操作完成后,会释放 8122kB 的磁盘空间。
您希望继续执行吗?[Y/n]y
(正在读取数据库 ... 系统当前总共安装有 119767 个文件和目录。)
正在删除 scim-pinyin ...
update-alternatives: update_mode:读取 /var/lib/dpkg/alternatives/xinput-zh_CN 时发生错误或是 eof ()
dpkg:处理 scim-pinyin (--remove)时出错:
子进程 pre-removal script 返回了错误号 2
update-alternatives: update_mode:读取 /var/lib/dpkg/alternatives/xinput-zh_CN 时发生错误或是 eof ()
dpkg: 作下列清理工作时发生错误:
子进程 post-installation script 返回了错误号 2
正在删除 scim-bridge-agent ...
update-alternatives: update_mode:读取 /var/lib/dpkg/alternatives/xinput-zh_CN 时发生错误或是 eof ()
dpkg:处理 scim-bridge-agent (--remove)时出错:
子进程 pre-removal script 返回了错误号 2
正在删除 scim ...
update-alternatives: update_mode:读取 /var/lib/dpkg/alternatives/xinput-zh_CN 时发生错误或是 eof ()
dpkg:处理 scim (--remove)时出错:
子进程 pre-removal script 返回了错误号 2
正在删除 scim-gtk2-immodule ...
Processing triggers for libc6 ...
ldconfig deferred processing now taking place
在处理时有错误发生:
scim-pinyin
scim-bridge-agent
scim
E: Sub-process /usr/bin/dpkg returned an error code (1)


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 安装fcitx出错,帮忙看看这些提示怎么解决?
帖子发表于 : 2008-12-17 9:34 
头像

注册: 2007-10-19 14:51
帖子: 4953
地址: 深圳
送出感谢: 0 次
接收感谢: 2
错误提示都是中文的啊,照着做做看啊


_________________
Nothing 有事请发邮件到 yms541 AT gmail.com
alias 爱慕颇雷尔='mplayer'


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 安装fcitx出错,帮忙看看这些提示怎么解决?
帖子发表于 : 2008-12-17 9:38 

注册: 2008-10-28 20:18
帖子: 3249
送出感谢: 0 次
接收感谢: 0 次
不要同时打开多个shell 运行 apt-get 之类的软件更新程序,在用 apt-get 也不要打开 新立得 和(或) 添加删除程序 ,反之亦然


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 安装fcitx出错,帮忙看看这些提示怎么解决?
帖子发表于 : 2008-12-17 9:49 

注册: 2008-05-27 12:18
帖子: 30
送出感谢: 0 次
接收感谢: 0 次
我在运行apt-get的时候是没有运行新立得哦,上面的提示都是一个个试的时候提示的错误讯息。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译